      subroutine diag (tile)      


      use Agrif_Util
#include "Param_BeforeCall_diag.h"
      integer(4) :: tile
      

        call Sub_Loop_diag(tile, Agrif_tabvars_i(15)%iarray0, Agrif_tabv
     &ars(117)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%ia
     &rray0, Agrif_tabvars_i(16)%iarray0)

      end


#include "Sub_Loop_diag.h"
      subroutine diag_tile (Istr,Iend,Jstr,Jend, ke2d,pe2d)      


      use Agrif_Util
#include "Param_BeforeCall_diag_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: ke2d
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: pe2d
      

        call Sub_Loop_diag_tile(Istr,Iend,Jstr,Jend,ke2d,pe2d, Agrif_tab
     &vars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13
     &)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(167)%iarray
     &0, Agrif_tabvars_r(8)%array0, Agrif_tabvars_i(169)%iarray0, Agrif_
     &tabvars_r(53)%darray0, Agrif_tabvars(294)%darray1, Agrif_tabvars_i
     &(176)%iarray0, Agrif_tabvars_r(52)%darray0, Agrif_tabvars_r(51)%da
     &rray0, Agrif_tabvars_r(50)%darray0, Agrif_tabvars_i(168)%iarray0, 
     &Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabv
     &ars(103)%array2, Agrif_tabvars(104)%array2, Agrif_tabvars(142)%arr
     &ay3, Agrif_tabvars(139)%array3, Agrif_tabvars(149)%array4, Agrif_t
     &abvars_i(153)%iarray0, Agrif_tabvars(150)%array4, Agrif_tabvars(14
     &3)%array3, Agrif_tabvars_r(12)%array0, Agrif_tabvars(146)%array3, 
     &Agrif_tabvars_i(160)%iarray0, Agrif_tabvars_i(147)%iarray0)

      end


#include "Sub_Loop_diag_tile.h"
      module xyz


        implicit none
        public :: Alloc_agrif_xyz
      contains
      subroutine Alloc_agrif_xyz(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_xyz.h"
      end subroutine Alloc_agrif_xyz
      end module xyz
